# Class BuildActionFailureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.tooling.GradleConnectionException
org.gradle.tooling.BuildActionFailureException

All Implemented Interfaces:
  `Serializable`

@Incubating public class BuildActionFailureException extends GradleConnectionException
Thrown when a `BuildAction` fails.

Since:
  1.8
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BuildActionFailureException(String message, Throwable throwable)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BuildActionFailureException

public BuildActionFailureException(String message, Throwable throwable)